/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.POJO;


/**
 * 用户有效执行用例数中间表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-01-21 10:29:37  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "用户有效执行用例数中间表")
public class MidValidExecJob implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_validExec = "validExec";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_tenantId = "tenantId";

  /**
   * <br>
   */
  @ApiModelProperty("")
  private Long id;
  /**
   * 用例执行人<br>
   */
  @ApiModelProperty("用例执行人")
  @Size(max = 50, message="用例执行人-createdBy: 数据长度不能 > 50" )
  private String createdBy;
  /**
   * 有效执行数<br>
   */
  @ApiModelProperty("有效执行数")
  private Integer validExec;
  /**
   * 系统id<br>
   */
  @ApiModelProperty("系统id")
  @Size(max = 50, message="系统id-projectId: 数据长度不能 > 50" )
  private String projectId;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 50, message="-tenantId: 数据长度不能 > 50" )
  private String tenantId;

  /**
   * <br>
   */
  public Long getId()
  {
      return id;
    }

  /**
   * <br>
   *
   * @param id 
   */
  public void setId(Long id)
  {
      this.id = id;
    }
  /**
   * 用例执行人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 用例执行人<br>
   *
   * @param createdBy 用例执行人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 有效执行数<br>
   */
  public Integer getValidExec()
  {
      return validExec;
    }

  /**
   * 有效执行数<br>
   *
   * @param validExec 有效执行数
   */
  public void setValidExec(Integer validExec)
  {
      this.validExec = validExec;
    }
  /**
   * 系统id<br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * 系统id<br>
   *
   * @param projectId 系统id
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * <br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * <br>
   *
   * @param tenantId 
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public MidValidExecJob()
  {
  }

}
